<template lang="pug">
	textarea(:title="title" :placeholder="placeholder" :value="value" @input="$emit('input', $event.target.value)")
</template>

<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
	props: {
		title: {
			type: String,
			default: null,
			required: false,
		},
		value: {
			type: String,
			default: null,
			required: false,
		},
		placeholder: {
			type: String,
			default: undefined,
			required: false,
		},
	},
});
</script>

<style lang="scss" scoped>
@import "@/assets/style/_colors.scss";

textarea {
	user-select: text;
	-moz-user-select: text;
	-webkit-user-select: text;
	-ms-user-select: text;
	resize: vertical;
	box-sizing: border-box;
	margin: 5px;
	padding: 6px 12px;
	width: calc(100% - 12px);
	min-height: 300px;
	background-color: white;
	color: #0c0c0d;
	display: block;
	border-style: solid;
	border-color: #dfdfdf;
	border-width: 2px;
	border-radius: 3px;
	transition: border-color 150ms;
	&::placeholder {
		color: rgba(12, 12, 13, 0.4);
	}
	&:hover {
		border-color: #afafaf;
	}
	&:focus {
		border-color: $accent-bg-color-active;
	}
}
</style>
